## com.gargoylesoftware.htmlunit
Interface AlertHandler

All Known Implementing Classes:
  CollectingAlertHandler

    public interface AlertHandler

A handler for JavaScript alerts. Alerts are triggered when the JavaScript method Window.alert() is called.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler

Method Summary
`void` `handleAlert(Page page, java.lang.String message)` Handle an alert for the given page.

Method Detail

### handleAlert

    void handleAlert(Page page,
                     java.lang.String message)

  Handle an alert for the given page.

  Parameters:
    `page` - the page on which the alert occurred
    `message` - the message in the alert

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.